/*import { getAllRoleList } from '@/api/system/role/role';*/
import { BasicColumn, FormSchema } from '@/components/Table';
import {DescItem} from "@/components/Description";
import {InputProps} from "ant-design-vue";
// 引入开关组件
/*type CheckedType = boolean | string | number;*/

/** 列表筛选项*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'Input',
    colProps: { span: 4 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];

/** 列表展示字段*/
export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
    slots: { customRender: 'name' },
  },
  {
    title: '状态',
    dataIndex: 'flag',
    width: 120,
    slots: { customRender: 'flag' },  // 使用自定义插槽
  },
  {
    title: '模式',
    dataIndex: 'mode',
    width: 120,
    slots: { customRender: 'mode' },  // 使用自定义插槽
  },
  {
    title: '超时时间',
    dataIndex: 'timeout',
    width: 120,
  },
  {
    title: '上线版本号',
    dataIndex: 'versionNum',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 180,
  },
  {
    title: '更新时间',
    dataIndex: 'updateDate',
    width: 180,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 120,
  },
];
/** 血缘对象*/
/** 血缘对象-左侧*/
export const modelFormSchema: FormSchema[] = [
  {
    field: 'member',
    component: 'InputSearch',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
    colProps: { lg: 24, md: 24 },
  },
];
export const modelColumns: BasicColumn[] = [
  {
    title: 'member',
    dataIndex: 'member',
    slots: { customRender: 'member' },
  },
];
/** 血缘对象-右侧*/
export const Table1Schema: BasicColumn[] = [
  {
    title: '字段名称',
    width: 150,
    dataIndex: 'name',
    slots: { customRender: 'name' },
  },
  {
    title: '敏感状态',
    width: 120,
    dataIndex: 'stsensitiveStatusatic',
  },
  {
    title: '安全分级',
    width: 120,
    dataIndex: 'securityGrading',
  },
  {
    title: '敏感类型',
    width: 120,
    dataIndex: 'sensitivityType',
  },
];
export const Table2Schema: BasicColumn[] = [
  {
    title: '字段名称',
    width: 150,
    dataIndex: 'name',
    slots: { customRender: 'name' },
  },
  {
    title: '敏感状态',
    width: 120,
    dataIndex: 'stsensitiveStatusatic',
  },
  {
    title: '安全分级',
    width: 120,
    dataIndex: 'securityGrading',
  },
  {
    title: '敏感类型',
    width: 120,
    dataIndex: 'sensitivityType',
  },
];
export const Table3Schema: BasicColumn[] = [
  {
    title: '参数code',
    width: 150,
    dataIndex: 'code',
  },
  {
    title: '参数名称',
    width: 120,
    dataIndex: 'codeName',
  },
  {
    title: '参数类型',
    width: 120,
    dataIndex: 'type',
  },
  {
    title: '注释',
    width: 120,
    dataIndex: 'comment',
  },
  {
    title: '是否必填',
    width: 120,
    dataIndex: 'required',
  },
  {
    title: '参数值',
    width: 120,
    dataIndex: 'value',
  },
];

export const Table4Schema: BasicColumn[] = [
  {
    title: '参数code',
    width: 150,
    dataIndex: 'code',
  },
  {
    title: '参数名称',
    width: 120,
    dataIndex: 'codeName',
  },
  {
    title: '参数类型',
    width: 120,
    dataIndex: 'type',
  },
  {
    title: '是否必填',
    width: 120,
    dataIndex: 'required',
  },
  {
    title: '默认值',
    width: 120,
    dataIndex: 'defaultValue',
  },
];
export const apiDetailSchema: DescItem[] = [
  {
    field: 'a1',
    label: 'API版本号',
  },
  {
    field: 'a2',
    label: '超时时间',
  },
  {
    field: 'a3',
    label: 'API描述',
  },
  {
    field: 'a4',
    label: 'API模式',
  },
  {
    field: 'a5',
    label: '数据源',
  },
  {
    field: 'a6',
    label: '数据库',
  },
];

/** 上线设置表单(暂无引用)*/
export const schemas: FormSchema[] = [
  {
    field: 'title1',
    component: 'BasicTitle',
    label: '路由转发配置',
    componentProps: {
      style: {
        fontsize: 16,
        fontWeight: 'bold',
      },
      span: true,
    },
    colProps: {
      span: 24,
    },
  },
  {
    field: 'routeName',
    component: 'Input',
    label: '路由名称',
    colProps: {
      span: 20,
    },
    required: true,
  },
  {
    field: 'protocolType',
    component: 'Select',
    label: '协议类型',
    colProps: {
      span: 20,
    },
    componentProps: {
      /*mode: 'multiple',*/
      options: [
        {
          label: 'Http',
          value: '1',
          key: '1',
        },
        {
          label: 'Https',
          value: '2',
          key: '2',
        },
      ],
      onChange: (value) => {
        console.log(value, '123');
      },
    },
    rules: [
      {
        required: true,
        message: '请选择',
        /*type: 'array',// 如果你启用了多选，使用 array*/
        type: 'string',
      },
    ],
  },
  {
    field: 'APISpecification',
    component: 'Select',
    label: '接口规范',
    colProps: {
      span: 20,
    },
    componentProps: {
      options: [
        {
          label: 'rest',
          value: '1',
          key: '1',
        },
        {
          label: 'webservice',
          value: '2',
          key: '2',
        },
      ],
      onChange: (value) => {
        console.log(value, '123');
      },
    },
    rules: [
      {
        required: true,
        message: '请选择',
        type: 'string',
      },
    ],
  },
  {
    field: 'requestMethod',
    component: 'Select',
    label: '请求方式',
    colProps: {
      span: 20,
    },
    componentProps: {
      options: [
        {
          label: 'Get',
          value: '1',
          key: '1',
        },
        {
          label: 'Post',
          value: '2',
          key: '2',
        },
      ],
      onChange: (value) => {
        console.log(value, '123');
      },
    },
    rules: [
      {
        required: true,
        message: '请选择',
        type: 'string',
      },
    ],
  },
  {
    field: 'accessMethod',
    component: 'RadioGroup',
    label: '访问方式',
    defaultValue:'2',
    colProps: {
      span: 20,
    },
    componentProps: {
      options: [
        {
          label: '通过域名访问',
          value: '1',
        },
        {
          label: '通过IP访问',
          value: '2',
        },
      ],
    },
    rules: [{required: true, message: '覆盖默认生成的校验信息'}],
  },
  {
    field: 'dynamicRouting',
    fields: ['dynamic'],
    label: '动态路由',
    colProps: {
      span: 20,
    },
   slot: 'dynamicRouting',
    required: true,
  },
  {
    field: 'businessGrouping',
    component: 'Select',
    label: '业务分组',
    colProps: {
      span: 20,
    },
    componentProps: {
      options: [
        {
          label: '默认业务分组',
          value: '1',
          key: '1',
        },
        {
          label: '默认业务分组1',
          value: '2',
          key: '2',
        },
      ],
      onChange: (value) => {
        console.log(value, '123');
      },
    },
    rules: [
      {
        required: true,
        message: '请选择',
        type: 'string',
      },
    ],
  },
  {
    field: 'title2',
    component: 'BasicTitle',
    label: '安全配置',
    componentProps: {
      style: {
        fontsize: 16,
        fontWeight: 'bold',
      },
      span: true,
    },
    colProps: {
      span: 24,
    },
  },
  {
    field: 'enableAllLogs',
    component: 'RadioGroup',
    label: '开启所有日志',
    defaultValue:'2',
    colProps: {
      span: 20,
    },
    componentProps: {
      options: [
        {
          label: '是',
          value: '1',
        },
        {
          label: '否',
          value: '2',
        },
      ],
    },
    rules: [{required: true, message: '覆盖默认生成的校验信息'}],
  },
  {
    field: 'maxLogRetention',
    component: 'Input',
    label: '日志最长保存',
    colProps: {
      span: 20,
    },
    suffix: '天',
    required: true,
  },
  {
    field: '[startDateTime, endDateTime]',
    /*    field: 'expirationDate',*/
    label: '有效期',
    component: 'RangePicker',
    componentProps: {
      format: 'YYYY-MM-DD HH:mm:ss',
      placeholder: ['开始日期、时间', '结束日期、时间'],
      showTime: {format: 'HH:mm:ss'},
    },
  },
  {
    field: 'cronExpression',
    component: 'Input',
    label: 'Cron表达式',
    componentProps: {
      placeholder: '0 0 0 ? * * *',
    } as InputProps,
    colProps: {
      span: 20,
    },
  },
  {
    field: 'expirationDuration',
    fields: ['expiration'],
    component: 'Input',
    label: '有效期持续时间',
    colProps: {
      span: 20,
    },
    colSlot: 'expirationDuration'
  },
  {
    field: 'rateLimitPolicy',
    fields: ['rateLimit'],
    component: 'Input',
    label: '流控策略',
    colProps: {
      span: 20,
    },
    colSlot: 'rateLimitPolicy'
  },
  {
    field: 'encryptionMethod',
    component: 'Select',
    label: '加密方式',
    colProps: {
      span: 20,
    },
    componentProps: {
      options: [
        {
          label: '加密',
          value: '1',
          key: '1',
        },
        {
          label: '不加密',
          value: '2',
          key: '2',
        },
      ],
      onChange: (value) => {
        console.log(value, '123');
      },
    },
    rules: [
      {
        required: true,
        message: '请选择',
        type: 'string',
      },
    ],
  },
  {
    field: 'authenticationMode',
    component: 'Select',
    label: '鉴权模式',
    colProps: {
      span: 20,
    },
    componentProps: {
      options: [
        {
          label: '简单token鉴权',
          value: '1',
          key: '1',
        },
        {
          label: '复杂token鉴权',
          value: '2',
          key: '2',
        },
      ],
      onChange: (value) => {
        console.log(value, '123');
      },
    },
    rules: [
      {
        required: true,
        message: '请选择',
        type: 'string',
      },
    ],
  },
  {
    field: 'requestExample',
    component: 'Input',
    label: '请求示例',
    colProps: {
      span: 20,
    },
    componentProps: {
      placeholder: ['curl-X POST -H’Content-Type: application/json; charset=utf-8‘ -H -d'],
    },
    helpMessage: ['您可以参考示例书写'],
  },
  {
    field: 'associatedList',
    component: 'RadioGroup',
    label: '关联名单',
    defaultValue:'2',
    colProps: {
      span: 23,
    },
    componentProps: {
      options: [
        {
          label: '关联',
          value: '1',
        },
        {
          label: '不关联',
          value: '2',
        },
      ],
    },
    rules: [{required: true, message: '覆盖默认生成的校验信息'}],
  },
];
/** 上线测试列表*/
export const testTableSchema: BasicColumn[] = [
  {
    title: '参数code',
    width: 150,
    dataIndex: 'paramCode',
  },
  {
    title: '参数位置',
    width: 120,
    dataIndex: 'paramPosition',
  },
  {
    title: 'Xpath',
    width: 120,
    dataIndex: 'Xpath',
  },
  {
    title: '参数类型',
    width: 120,
    dataIndex: 'paramType',
  },
  {
    title: '注释',
    width: 120,
    dataIndex: 'comment',
  },
  {
    title: '是否必填',
    width: 120,
    dataIndex: 'isRequired',
  },
  {
    title: '参数值',
    width: 120,
    dataIndex: 'paramValue',
    editable: true,
    edit: true
  },
];
